summaryrefslogtreecommitdiffstats
path: root/source/x
diff options
context:
space:
mode:
Diffstat (limited to 'source/x')
-rwxr-xr-xsource/x/libwacom/libwacom.SlackBuild4
-rw-r--r--source/x/libwacom/libwacom.joystick_property_matching.patch27
2 files changed, 30 insertions, 1 deletions
diff --git a/source/x/libwacom/libwacom.SlackBuild b/source/x/libwacom/libwacom.SlackBuild
index 207b2374f..e4e187378 100755
--- a/source/x/libwacom/libwacom.SlackBuild
+++ b/source/x/libwacom/libwacom.SlackBuild
@@ -27,7 +27,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=libwacom
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -79,6 +79,8 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \+
+zcat $CWD/libwacom.joystick_property_matching.patch.gz | patch -p1 --verbose || exit 1
+
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
diff --git a/source/x/libwacom/libwacom.joystick_property_matching.patch b/source/x/libwacom/libwacom.joystick_property_matching.patch
new file mode 100644
index 000000000..84360dc92
--- /dev/null
+++ b/source/x/libwacom/libwacom.joystick_property_matching.patch
@@ -0,0 +1,27 @@
+From 9bacf5a1bf079c972abd66b3bd8bca923ae6ecb1 Mon Sep 17 00:00:00 2001
+From: Sebastian Keller <sebastian-keller@gmx.de>
+Date: Sat, 27 Jun 2020 17:21:53 +0200
+Subject: [PATCH] tools: Fix joystick property matching in udev rule
+
+This was not doing actual matching of the property, but assigning it,
+which resulted in no device being assigned this property. This broke
+gamepad/joystick permissions.
+
+Fixes #271
+---
+ tools/65-libwacom.rules.in | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/tools/65-libwacom.rules.in b/tools/65-libwacom.rules.in
+index e7ce4aa..04f2bf3 100644
+--- a/tools/65-libwacom.rules.in
++++ b/tools/65-libwacom.rules.in
+@@ -20,6 +20,6 @@ KERNELS=="input*", \
+
+ # We can't unset properties through the hwdb but we can set them to zero.
+ # So let's have a rule that converts the 0 properties to unset ones.
+-ENV{ID_INPUT_JOYSTICK}="0", ENV{ID_INPUT_JOYSTICK}=""
++ENV{ID_INPUT_JOYSTICK}=="0", ENV{ID_INPUT_JOYSTICK}=""
+
+ LABEL="libwacom_end"
+